
### CFAC R Workshop 5/9/2016 - Exercise 1 - Introduction


### Beginning - Start Here!


# This is a comment

# Print text to console
print("hello world!")

# Print solution to console
print(8 + 12)

# Assign solution to variable 'x'
x <- (8 + 12)

# Print the contents of variable 'x' to the console
print(x)

# Condition testing
x < 10
x >= 41.43

# Assign a list of items to a variable, 'y'
y <- list("School 1", "School 2", "School 3")

# Print the second item contained within the variable 'y'
y[2]

# Print the contents of variable 'y' to the console
print(y)


# If else
# typing a ? before any R command will bring up the documentation in the bottom-right window

?ifelse

ifelse(x < 5,"X less than 5","X greater than or equal to 5")



# For Loops
# A for loop will iterate through a set of commands
# When we run this code, for the first iteration, i = 1, for the second iteration, i = 2, etc...
for (i in 1:10){
  
  # The paste() command allows you to concatenate objects togeter
  # Here we are appending the variable i, onto the end of the statement "i is now equal to"
  # The 'sep' option specifies the separation between the provided objects
  # Here sep is equal to 1 empty space, sep='' indicates no blank spaces
  # The output of paste() is set equal the 'my_text' variable
  my_text = paste("i is now equal to", i, sep=' ')
  
  # print my_text
  print(my_text)
  
  # This is a basic if else statment that will run once per iteration
  ifelse(i > 4, print("i greater than 4"),print("i less than or equal to 4"))
  # Check the your output below!
  
}


### Data Frames

#Set working directory - IMPORTANT: You must specify the working directory before reading in a file
setwd('')

# Read our .CSV file into R as a data frame named 'test_dat'
test_dat = read.csv(file='test_scores_mid_only.csv',head=TRUE)

# View our data frame
View(test_dat)

# You can refer to columns and rows in a data frame with [rows,columns]
test_dat[1,]

test_dat[,1]

# A range of sequential numbers can be refered to with x:y
# x is the minimum, y is the maxiumum value
# Return row 1, columns 1, 2, and 3
test_dat[1,1:3]

# Return row 1, and columns 1, 3, and 5
# We use the 'c()' command to specify a list of values
# Our columns numbers are not sequential, using test_dat[1,1:5] here would return row 1, and columns 1 THROUGH 5
# My using 'c(1,3,5)' we are specifying column 1, column 3, and column 5
test_dat[1,c(1,3,5)]

# You can also refer to columns in a data frame with the '$' symbol
test_dat$score

# You can store columns and rows into variables
test_scores = test_dat$score

test_scores = test_dat[,8]

# We can also specify our own data

my_df = data.frame(SchoolName = c("School 1", "School 2", "School 3"),
                   N_students = c(854,678,912),
                   SchoolGrade = c("A","B","C"))

# When refering to variables, you do not need to specify the print() command
# See the below example, both lines of code produce identical outputs

my_df

print(my_df)

