
### CFAC R Workshop 5/9/2016 - Exercise 4 - Propensity Score Matching


# Set working directory for data
setwd('')

# Load the MatchIt package
library(MatchIt)

# Read in .CSV file into variable, 'mydata'
mydata <- read.csv(file="newyork.csv")

# Take a quick view at the data
head(mydata)
# tot = number of students in each school
# min = the percentage of minority students in the school
# dis = number of students recieving free/reduced lunch
# stw = indicates whether the the school is a "School to watch"

# Examine matchit help documentation
?matchit

# Conduct a "nearest neighbor" propensity score match
# The first variable 'mydata$stw' 
m.out = matchit(mydata$stw ~ mydata$tot + mydata$min + mydata$dis,
                data = mydata, method = "nearest")

# View a plot of our propensity score matching results
# "Matched Treated" & "Matched Control" should be very similar
plot(m.out,type="hist")

# the 'match.data' command returns a dataset containing only the matched units
# Here we are saving the result of the 'match.data' command to the variable 'm.data1'
m.data1 <- match.data(m.out)

# View the contents of 'm.data1'
View(m.data1)

# In the window that opens, click the variable "Distance"
# "Distance" in this case 
# This will sort the data by "Distance" and group matches together
# Our grouping variable was 'stw'
# Matched pairs will have similar "Distances"


# Write our output to a .CSV file
write.csv(m.data1,file="newyork_nearest100.csv",row.names=F)




